// REGEX = "US/.*"
use timezones::Tz;

pub const Navajo : Tz = Tz::Navajo;

pub mod America {
    use timezones::Tz;

    pub mod Indiana {
        use timezones::Tz;

        pub const Indianapolis : Tz = Tz::America__Indiana__Indianapolis;
        pub const Knox : Tz = Tz::America__Indiana__Knox;
        pub const Marengo : Tz = Tz::America__Indiana__Marengo;
        pub const Petersburg : Tz = Tz::America__Indiana__Petersburg;
        pub const Tell_City : Tz = Tz::America__Indiana__Tell_City;
        pub const Vevay : Tz = Tz::America__Indiana__Vevay;
        pub const Vincennes : Tz = Tz::America__Indiana__Vincennes;
        pub const Winamac : Tz = Tz::America__Indiana__Winamac;
    }

    pub const Adak : Tz = Tz::America__Adak;
    pub const Anchorage : Tz = Tz::America__Anchorage;
    pub const Atka : Tz = Tz::America__Atka;
    pub const Chicago : Tz = Tz::America__Chicago;
    pub const Denver : Tz = Tz::America__Denver;
    pub const Detroit : Tz = Tz::America__Detroit;
    pub const Fort_Wayne : Tz = Tz::America__Fort_Wayne;
    pub const Indianapolis : Tz = Tz::America__Indianapolis;
    pub const Knox_IN : Tz = Tz::America__Knox_IN;
    pub const Los_Angeles : Tz = Tz::America__Los_Angeles;
    pub const New_York : Tz = Tz::America__New_York;
    pub const Phoenix : Tz = Tz::America__Phoenix;
    pub const Shiprock : Tz = Tz::America__Shiprock;
}

pub mod Pacific {
    use timezones::Tz;

    pub const Honolulu : Tz = Tz::Pacific__Honolulu;
    pub const Johnston : Tz = Tz::Pacific__Johnston;
    pub const Midway : Tz = Tz::Pacific__Midway;
    pub const Pago_Pago : Tz = Tz::Pacific__Pago_Pago;
    pub const Samoa : Tz = Tz::Pacific__Samoa;
}

pub mod US {
    use timezones::Tz;

    pub const Alaska : Tz = Tz::US__Alaska;
    pub const Aleutian : Tz = Tz::US__Aleutian;
    pub const Arizona : Tz = Tz::US__Arizona;
    pub const Central : Tz = Tz::US__Central;
    pub const EastIndiana : Tz = Tz::US__EastIndiana;
    pub const Eastern : Tz = Tz::US__Eastern;
    pub const Hawaii : Tz = Tz::US__Hawaii;
    pub const IndianaStarke : Tz = Tz::US__IndianaStarke;
    pub const Michigan : Tz = Tz::US__Michigan;
    pub const Mountain : Tz = Tz::US__Mountain;
    pub const Pacific : Tz = Tz::US__Pacific;
    pub const PacificNew : Tz = Tz::US__PacificNew;
    pub const Samoa : Tz = Tz::US__Samoa;
}

